CertificateURL (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.tls

## Class CertificateURL

- java.lang.Object
- - org.bouncycastle.crypto.tls.CertificateURL

-     public class CertificateURL
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected short` | `type`
    `protected java.util.Vector` | `urlAndHashList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateURL(short type, java.util.Vector urlAndHashList)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encode(java.io.OutputStream output)` Encode this `CertificateURL` to an `OutputStream`.
    `short` | `getType()`
    `java.util.Vector` | `getURLAndHashList()`
    `static CertificateURL` | `parse(TlsContext context, java.io.InputStream input)` Parse a `CertificateURL` from an `InputStream`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          protected short type

    - #### urlAndHashList

          protected java.util.Vector urlAndHashList

  - ### Constructor Detail

    - #### CertificateURL

          public CertificateURL(short type,
                        java.util.Vector urlAndHashList)

      Parameters:
        `type` - see `CertChainType` for valid constants.
        `urlAndHashList` - a `Vector` of `URLAndHash`.

  - ### Method Detail

    - #### getType

          public short getType()

      Returns:
        `CertChainType`

    - #### getURLAndHashList

          public java.util.Vector getURLAndHashList()

      Returns:
        a `Vector` of `URLAndHash`

    - #### encode

          public void encode(java.io.OutputStream output)
                      throws java.io.IOException

      Encode this `CertificateURL` to an `OutputStream`.
      Parameters:
        `output` - the `OutputStream` to encode to.
      Throws:
        `java.io.IOException`

    - #### parse

          public static CertificateURL parse(TlsContext context,
                             java.io.InputStream input)
                                      throws java.io.IOException

      Parse a `CertificateURL` from an `InputStream`.
      Parameters:
        `context` - the `TlsContext` of the current connection.
        `input` - the `InputStream` to parse from.
      Returns:
        a `CertificateURL` object.
      Throws:
        `java.io.IOException`